Bug 149880 - 2 * invalid format string conversion + bad defn of size_t
2 * invalid format string conversion + bad defn of size_t
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mknbi (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-28 11:09 EST by David Binderman
Modified: 2008-02-06 19:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 19:11:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-02-28 11:09:58 EST
Description of problem:

I just tried to compile package mknbi-1.4.0-3 from 
Redhat Fedora Extras development tree.

The compiler said

1.

first32.c(303): warning #269: invalid format string conversion

The source code is

        return sprintf(op, "%@", ip);

I've checked the man page for sprintf, and I cannot see %@ specified.

Maybe it should be changed to something else.

2.

first32.c(333): warning #269: invalid format string conversion

Duplicate.

3.

stddef.h(3): warning #910: declaration of "size_t" does not match the
expected type "unsigned int"

The source code is

typedef int     size_t;

ISO C requires size_t to be an unsigned type. Suggest

typedef unsigned int size_t;


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Christian Iseli 2007-01-17 18:20:45 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)
Comment 2 petrosyan 2008-02-06 19:11:40 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.